let
  pkgs = import <nixpkgs> { };
in
  pkgs.stdenv.mkDerivation {
    name = "diary";
    version = "v0.12";
    buildInputs = with pkgs; [
      ncurses
      curlFull
      lttng-ust
    ];

    src = pkgs.fetchgit {
      url = "https://git.in0rdr.ch/diary.git";
      rev = "refs/tags/v0.12";
      hash = "sha256-SB8dBtXaqkE+4FHGEd9FnqbnDhw2Mo55CoaeC8BtKSk=";
    };

    installPhase = ''
      install -d $out/bin
      install -d $out/share/man/man1
      install -m755 diary $out/bin/
      install -m644 man1/diary.1 $out/share/man/man1/
    '';
  }

